Foxit PDF SDK

Instance Methods | List of all members
FSTextLink Class Reference
Inheritance diagram for FSTextLink:

## Instance Methods
(int) | - getEndCharIndex
| Get the index of last character of current hyper-link URI, based on PDF page. More...
(FSRectFArray *) | - getRects
| Get the text rectangles of current text link object. More...
(int) | - getStartCharIndex
| Get the index of start character of current hyper-link URI, based on PDF page. More...
(NSString *) | - getURI
| Get URI string. More...
(id) | - initWithOther:
| Constructor, with another text link object. More...
(BOOL) | - isEmpty
| Check whether current object is empty or not. More...

## Detailed Description

A text link is just text content, which represents a hypertext link to a website or a resource on the internet, or an e-mail address.
This class offers functions to get information from the text link.
A text link object is retrieved by function FSPageTextLinks::getTextLink:.

See also
  FSPageTextLinks

## Method Documentation

## ◆ getEndCharIndex()

- (int) getEndCharIndex |  |  |

Get the index of last character of current hyper-link URI, based on PDF page.

Returns
  The index of last character, starting from 0.

## ◆ getRects()

- (FSRectFArray *) getRects |  |  |

Get the text rectangles of current text link object.

Returns
  An array of rectangles.

## ◆ getStartCharIndex()

- (int) getStartCharIndex |  |  |

Get the index of start character of current hyper-link URI, based on PDF page.

Returns
  The index of start character, starting from 0.

## ◆ getURI()

- (NSString *) getURI |  |  |

Get URI string.

A text link's URI can be a hypertext link to a website or a resource on the internet. It can also be an e-mail address.

Returns
  URI string.

## ◆ initWithOther:()

- (id) initWithOther: |  | (FSTextLink*) | other |

Constructor, with another text link object.

Parameters

  [in] | other | Another text link object.

## ◆ isEmpty()

- (BOOL) isEmpty |  |  |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  YES means current object is empty, while NO means not.